import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './assets/style/public.scss'
import echarts from "echarts"
import qs from 'qs'
import http from '@/config/request'
import {baseUrl,backToken,frontToken} from './config/env'
import Vant from 'vant';
import 'vant/lib/index.css';
// 自定义tabbar
import Mytabbar from '@/components/tabbar/index.vue'
Vue.component('my-tabbar',Mytabbar)

Vue.use(Vant);
Vue.prototype.$echarts = echarts
Vue.prototype.$qs = qs
Vue.prototype.$https = http

Vue.prototype.$baseUrl=baseUrl
Vue.prototype.backToken=backToken
Vue.prototype.frontToken=frontToken

Vue.config.productionTip = false

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
